%define major		0
%define rname		bsd
%define libname		%mklibname %{rname} %{major}
%define libnamedev	%mklibname %{rname} -d

Name:		libbsd
Version:	0.12.2
Release:	%mkrel 2
Summary:	Library providing BSD-compatible functions for portability
Group:		System/Libraries
License:	BSD and ISC and Copyright only and Public Domain
URL:		https://libbsd.freedesktop.org/
Source0:	https://libbsd.freedesktop.org/releases/%{name}-%{version}.tar.xz
Patch0:		libbsd-0.11.7-fix-pkgconfig-dependencies.patch
BuildRequires:	pkgconfig(libmd)

%description
libbsd provides useful functions commonly found on BSD systems, and
lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

%package -n %{libname}
Summary:	Library providing BSD-compatible functions for portability
Group:		System/Libraries
Conflicts:	libbsd

%description -n %{libname}
libbsd provides useful functions commonly found on BSD systems, and
lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

%files -n %{libname}
%{_libdir}/lib%{rname}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for the %{name} library.

%files -n %{libnamedev}
%doc ChangeLog COPYING README TODO
%{_includedir}/%{rname}/
%{_libdir}/lib%{rname}.so
%{_libdir}/libbsd-ctor.a
%{_libdir}/pkgconfig/lib%{rname}*.pc
%{_mandir}/man3/*
%{_mandir}/man7/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure \
    --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# workaround "/usr/lib64/libbsd.so: file format not recognized"
rm -rf %{buildroot}%{_libdir}/lib%{rname}.so
ln -s lib%{rname}.so.%{major} %{buildroot}%{_libdir}/lib%{rname}.so


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.12.2-2.mga10
+ Revision: 2222558
- Mageia 10 Mass Rebuild

* Wed May 08 2024 daviddavid <daviddavid> 0.12.2-1.mga10
+ Revision: 2062850
- new version: 0.12.2

* Thu Feb 15 2024 daviddavid <daviddavid> 0.11.8-1.mga10
+ Revision: 2041498
- new version: 0.11.8

* Wed Dec 21 2022 daviddavid <daviddavid> 0.11.7-3.mga9
+ Revision: 1925607
- really fix missing libmd dependency in pkgconfig
- workaround for "/usr/lib(64)/libbsd.so file format not recognized"
  should be a symlink and not a shared lib

* Wed Dec 21 2022 daviddavid <daviddavid> 0.11.7-2.mga9
+ Revision: 1925600
- add patch to fix missing libmd dependency in pkgconfig

* Wed Dec 21 2022 daviddavid <daviddavid> 0.11.7-1.mga9
+ Revision: 1925515
- new version: 0.11.7

* Tue Mar 15 2022 umeabot <umeabot> 0.10.0-3.mga9
+ Revision: 1792654
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-2.mga8
+ Revision: 1530503
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Aug 30 2019 daviddavid <daviddavid> 0.10.0-1.mga8
+ Revision: 1435307
- new version: 0.10.0

* Sat Nov 03 2018 daviddavid <daviddavid> 0.9.1-3.mga7
+ Revision: 1327832
- fix more some descriptions

* Fri Oct 26 2018 daviddavid <daviddavid> 0.9.1-2.mga7
+ Revision: 1325973
- Mageia 7 Mass Rebuild
- fix some descriptions

* Sun Aug 26 2018 daviddavid <daviddavid> 0.9.1-1.mga7
+ Revision: 1254633
- new version: 0.9.1

* Wed Apr 04 2018 kekepower <kekepower> 0.8.7-1.mga7
+ Revision: 1215259
- Update to version 0.8.7

* Tue May 10 2016 tv <tv> 0.8.3-1.mga6
+ Revision: 1012105
- new release

* Wed Jan 27 2016 luigiwalser <luigiwalser> 0.8.2-1.mga6
+ Revision: 928251
- 0.8.2

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 741629
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 681355
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 tv <tv> 0.7.0-1.mga5
+ Revision: 671788
- new release

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 531290
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 0.6.0-1.mga4
+ Revision: 462821
- new version 0.6.0

* Sat Jan 12 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 356875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 pterjan <pterjan> 0.4.2-1.mga3
+ Revision: 269338
- Update to 0.4.2

* Fri Jun 15 2012 shlomif <shlomif> 0.4.1-2.mga3
+ Revision: 260850
- Get lib64bsd to work properly. Thanks to simplew.

* Fri Jun 08 2012 shlomif <shlomif> 0.4.1-1.mga3
+ Revision: 257988
- New version: 0.4.1

* Wed Jun 06 2012 shlomif <shlomif> 0.3.0-4.mga3
+ Revision: 256602
- Correct the devel package Group
- Correct the group
- Bump the release
- Fix the man pages globs
+ kamil <kamil>
- imported package libbsd


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 08 2011 Eric Smith <eric@brouhaha.com> - 0.3.0-1
- Update to latest upstream release.
- Removed Patch0, fixed upstream.
- Removed BuildRoot, clean, defattr.

* Fri Jan 29 2010 Eric Smith <eric@brouhaha.com> - 0.2.0-3
- changes based on review by Sebastian Dziallas

* Fri Jan 29 2010 Eric Smith <eric@brouhaha.com> - 0.2.0-2
- changes based on review comments by Jussi Lehtola and Ralf Corsepious

* Thu Jan 28 2010 Eric Smith <eric@brouhaha.com> - 0.2.0-1
- initial version
